import { jsx } from "react/jsx-runtime";
import { Lightbulb as Lightbulb$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lightbulb = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Lightbulb", ...props, children: /* @__PURE__ */ jsx(Lightbulb$1, { weight: variant }) });
  }
);
Lightbulb.displayName = "Lightbulb";
Object.assign(Lightbulb, { isGdsIcon: true });
export {
  Lightbulb
};
